#ifndef _PIDLIB_H_
#define _PIDLIB_H_

#include <sys/types.h>
#include <dirent.h>

char *get_name_by_pid(int pid);
int get_next_tid(int pid, DIR **dir);
int get_next_pid(DIR **dir);
int get_next_pid_by_name(DIR **dir, char *name);
int read_cmdline(int pid, int tid, char *cmdline, size_t len);
int pidstr_is_ok(const char *str);

#endif
